//В классе MyClient мы объявляем атрибут m_pTcpSocket, который нужен для управления нашим клиентом, и атрибут m_nNextBlockSize, необходимый
//нам для хранения длины следующего полученного от сокета блока. Остальные два атрибута, m_txtInfo и m_txtInput, используются для
//отображения и ввода информации соответственно.
#ifndef _MyClient_h_
#define _MyClient_h_

#include <QWidget>
#include <QTcpSocket>

class QTextEdit;
class QLineEdit;

// ======================================================================
class MyClient : public QWidget {
Q_OBJECT
private:
    QTcpSocket* m_pTcpSocket;
    QTextEdit* m_ptxtInfo;
    QLineEdit* m_ptxtInput;
    quint16 m_nNextBlockSize;

public:
    MyClient(const QString& strHost, int nPort, QWidget* pwgt = 0) ;

private slots:
    void slotReadyRead ( );
    void slotError (QAbstractSocket::SocketError);
    void slotSendToServer( );
    void slotConnected ( );
};
#endif //_MyClient_h_
