class UdpServer : public QTextEdit {
Q_OBJECT
private:
    QUdpSocket* m_pudp;
public:
    UdpServer(QWidget* pwgt = 0);
private slots:
    void slotSendDatagram();
};

//Сначала реализуем класс сервера. В определении класса UdpServer нам понадобится объект сокета QUdpSocket, поэтому мы объявляем указатель
//на него m_pudp. Далее нам нужен слот для пересылки нашей дейтаграммы slotSendDatagram().

class UdpClient : public QTextEdit {
Q_OBJECT
private:
    QUdpSocket* m_pudp;
public:
    UdpClient(QWidget* pwgt = 0);
private slots:
    void slotProcessDatagrams();
};

//Так же как и сервер, клиент будет содержать объект класса QUdpSocket, для этого мы объявляем указатель m_pudp. Объявляем слот
//slotProcessDatagrams(), предназначенный для получения дейтаграмм от сервера.

