//Определяем класс MyServer, в нем объявляем атрибут m?ptcpServer, который является основой управления сервером. Атрибут m_nNextBlockSize
//служит для хранения длины следующего полученного от сокета блока. Многострочное текстовое поле m_ptxt предназначено для информирования о
//происходящих соединениях
#ifndef _MyServer_h_
#define _MyServer_h_

#include <QWidget>


class QTcpServer;
class QTextEdit;
class QTcpSocket;

//===============================================
class MyServer : public Qwidget {
Q_OBJECT
private:
    QTcpServer*m_ptcpServer;
    QTextEdit* m_ptxt;
    quint16    m_nNextBlockSize;

private:
    void sendToClient(QTcpSocket* pSocket, const QString& str);

public:
    MyServer(int nPort, QWidget* pwgt = 0);

public slots:
    virtual void slotNewConnection();
            void slotReadClient   ();

};

#endif // _MyServer_h_
